#!/bin/sh
set -e
source $PWD/clfsLibrary

source $PWD/buildConfig



grep "getSources" runLog        || getSources
grep "getPatches" runLog        || getPatches
grep "addUserCLFS" runLog       || addUserCLFS
clfsExecute setEnvironment 
grep "createDirectories" runLog    || clfsExecute createDirectories 
grep "createCrosstoolDirectory" runLog      || clfsExecute createCrosstoolDirectory 
grep "createPassword" runLog        || clfsExecute createPassword
clfsExecute setABI
clfsExecute setBuildVariables
grep "installLinuxHeaders" runLog         || clfsExecute installLinuxHeaders
grep "installGMP" runLog            || clfsExecute installGMP
grep "installMPFR" runLog         || clfsExecute installMPFR
grep "installMPC" runLog            || clfsExecute installMPC
grep "installCrossBinutils" runLog   || clfsExecute installCrossBinutils
grep "installGCC_Static" runLog   ||  clfsExecute installGCC_Static
grep "install_uClibc" runLog        || clfsExecute install_uClibc   
grep "installGCC_Final" runLog     || clfsExecute installGCC_Final
clfsExecute createToolChainVariables
grep "installBusyBox" runLog       || clfsExecute installBusyBox
grep "installIana" runLog          || clfsExecute installIana
grep "installKernel" runLog         || clfsExecute installKernel
grep "installBootScript" runLog        || clfsExecute installBootScript
grep "installInitTab" runLog      || clfsExecute installInitTab
grep "createCLFS_Final" runLog      || createCLFS_Final
grep "setOwner" runLog          || setOwner
grep "copyToTarget" runLog    || copyToTarget

runSystem
